Subject: Re: [PATCH v2] format-patch: fix From header in cover letter

From: Mirko Faina <[email-masked]>
Date: Thu, 19 Feb 2026 13:03:45 +0100

> Maybe nobody noticed because most people do not use "--from=<foo>" with
> a <foo> that does not match the committer ident in the first place. I'm
> not really sure why you'd want the two to differ. Which makes me wonder
> why I added that feature in the first place (as opposed to just "--from"
> with no options).

I usually commit everything under the name Mroik. Having the "--from"
option is useful to send a one off contribution, otherwise I'd have to
change my committer ident everytime I decide to use a different name (I
know most people just use their full name so it's not common to have to
use "--from").

Mirko